Webhooks

List Webhook Event Types

GET
/v1/webhooks/events

Authorization

headerx-api-key<token>

Workspace API key, sent in the x-api-key header. Keys start with op_ and are created in the dashboard.

Response Body

Event catalog

application/json
  1. response
events*array<string>
groups*array<unknown>
Example Request
import { Configuration, WebhooksApi } from "@onepostly/sdk";const webhooksApi = new WebhooksApi(  new Configuration({ apiKey: process.env.ONEPOSTLY_API_KEY }));const response = await webhooksApi.listWebhookEventTypes();console.log(response);
Example Response
{  "events": [    "string"  ],  "groups": [    null  ]}